package com.ichangzuo.common.enums;

import com.ichangzuo.common.base.IBaseEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;

/**
 * 性别枚举
 *
 * @author haoxr
 * @since 2022/10/14
 */
@Getter
@Schema(enumAsRef = true)
public enum GenderEnum implements IBaseEnum<Integer> {

    UNSET(0, ""),
    MALE(1, "男"),
    FEMALE (2, "女"),
    COMB(3,"组合"),
    OTHER(4,"其他"),
    UNKNOWN(5,"未知");

    private final Integer value;

    private final String label;

    GenderEnum(Integer value, String label) {
        this.value = value;
        this.label = label;
    }
}
